# boost::numeric::ublas::basic_slice< Z, D > Class Template Reference

List of all members.

## Classes

class | const_iterator

## Public Types

typedef Z | size_type
typedef D | difference_type
typedef size_type | value_type
typedef value_type | const_reference
typedef const_reference | reference
typedef const value_type * | const_pointer
typedef value_type * | pointer
typedef std::reverse_iterator < const_iterator > | const_reverse_iterator

## Public Member Functions

BOOST_UBLAS_INLINE | basic_slice (size_type start, difference_type stride, size_type size)
BOOST_UBLAS_INLINE size_type | start () const
BOOST_UBLAS_INLINE difference_type | stride () const
BOOST_UBLAS_INLINE size_type | size () const
BOOST_UBLAS_INLINE size_type | max_size () const
BOOST_UBLAS_INLINE bool | empty () const
BOOST_UBLAS_INLINE const_reference | operator() (size_type i) const
BOOST_UBLAS_INLINE basic_slice | compose (const basic_range< size_type, difference_type > &r) const
BOOST_UBLAS_INLINE basic_slice | compose (const basic_slice &s) const
BOOST_UBLAS_INLINE bool | operator== (const basic_slice &s) const
BOOST_UBLAS_INLINE bool | operator!= (const basic_slice &s) const
BOOST_UBLAS_INLINE const_iterator | begin () const
BOOST_UBLAS_INLINE const_iterator | end () const
BOOST_UBLAS_INLINE const_reverse_iterator | rbegin () const
BOOST_UBLAS_INLINE const_reverse_iterator | rend () const
BOOST_UBLAS_INLINE basic_slice | preprocess (size_type size) const

## Static Public Member Functions

static BOOST_UBLAS_INLINE const basic_slice & | all ()

### template<class Z, class D>
class boost::numeric::ublas::basic_slice< Z, D >